[Pkg-mono-svn-commits] rev 1316 - in mono/trunk/debian: . patches

Eduard Bloch blade@haydn.debian.org
Sun, 08 Aug 2004 11:49:40 -0600


Author: blade
Date: 2004-08-08 11:49:37 -0600 (Sun, 08 Aug 2004)
New Revision: 1316

Added:
   mono/trunk/debian/patches/05_lib_linker.dpatch
Modified:
   mono/trunk/debian/changelog
   mono/trunk/debian/control
   mono/trunk/debian/patches/00list
Log:
Added the library linker patch


Modified: mono/trunk/debian/changelog
===================================================================
--- mono/trunk/debian/changelog	2004-08-08 17:43:19 UTC (rev 1315)
+++ mono/trunk/debian/changelog	2004-08-08 17:49:37 UTC (rev 1316)
@@ -5,10 +5,14 @@
   * Mirco 'meebey' Bauer
     + debian/rules: s390 build should work now
       (showstopper for sarge, thus medium urgency)
-    + debian/control: fixed typo, tuned Architecture field for mono
+    + debian/control: fixed typo, tuned Architecture field for mono (should
+      finaly prevent "unallowed" architectures from trying to build mono)
     + debian/README.Debian: fixed typo
   * Eduard Bloch
     + --with-ntpl=no, still breaks on kernel 2.4 (closes: #256755, #257412)
+    + patched Makefiles to link explicitely with glib and dl, thanks to
+      Russ Allbery <rra@stanford.edu> (closes: #262023)
+    + disabled mono-mint build for i386 and powerpc, upstream wish
 
  -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 16:38:32 +0200
 

Modified: mono/trunk/debian/control
===================================================================
--- mono/trunk/debian/control	2004-08-08 17:43:19 UTC (rev 1315)
+++ mono/trunk/debian/control	2004-08-08 17:49:37 UTC (rev 1316)
@@ -37,7 +37,7 @@
 
 Package: mono-mint
 Provides: cli-virtual-machine
-Architecture: arm powerpc s390 sparc i386 alpha
+Architecture: arm s390 sparc alpha
 Conflicts: libmint0, libmint-dev
 Replaces: libmint0, libmint-dev
 Depends: ${shlibs:Depends}, mono-assemblies-base-${mono:upversion} | mono-assemblies-base-0.96, mono-common (= ${Source-Version})

Modified: mono/trunk/debian/patches/00list
===================================================================
--- mono/trunk/debian/patches/00list	2004-08-08 17:43:19 UTC (rev 1315)
+++ mono/trunk/debian/patches/00list	2004-08-08 17:49:37 UTC (rev 1316)
@@ -0,0 +1 @@
+05_lib_linker

Added: mono/trunk/debian/patches/05_lib_linker.dpatch
===================================================================
--- mono/trunk/debian/patches/05_lib_linker.dpatch	2004-08-08 17:43:19 UTC (rev 1315)
+++ mono/trunk/debian/patches/05_lib_linker.dpatch	2004-08-08 17:49:37 UTC (rev 1316)
@@ -0,0 +1,47 @@
+#! /bin/sh -e
+## 05_lib_linker.dpatch by Eduard Bloch <blade@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /tmp/mono-1.0/mono/mini/Makefile.am mono-1.0/mono/mini/Makefile.am
+--- /tmp/mono-1.0/mono/mini/Makefile.am	2004-06-08 21:22:16.000000000 +0200
++++ mono-1.0/mono/mini/Makefile.am	2004-08-08 19:41:48.000000000 +0200
+@@ -171,7 +171,7 @@
+ libmonoinclude_HEADERS = jit.h
+ 
+ libmono_la_LIBADD = \
+-	$(libs)
++	$(libs) $(GLIB_LIBS) $(GMODULE_LIBS) -ldl
+ 
+ %.exe: %.cs TestDriver.dll
+ 	$(MCS) /unsafe $< /r:TestDriver.dll
+diff -urNad /tmp/mono-1.0/mono/profiler/Makefile.am mono-1.0/mono/profiler/Makefile.am
+--- /tmp/mono-1.0/mono/profiler/Makefile.am	2003-07-01 11:35:48.000000000 +0200
++++ mono-1.0/mono/profiler/Makefile.am	2004-08-08 19:42:28.000000000 +0200
+@@ -11,5 +11,5 @@
+ endif
+ 
+ libmono_profiler_cov_la_SOURCES = mono-cov.c
+-libmono_profiler_cov_la_LIBADD = $(top_builddir)/mono/mini/libmono.la
++libmono_profiler_cov_la_LIBADD = $(top_builddir)/mono/mini/libmono.la $(GLIB_LIBS) $(GMODULE_LIBS) -ldl
+ 


Property changes on: mono/trunk/debian/patches/05_lib_linker.dpatch
___________________________________________________________________
Name: svn:executable
   + *